/**********************************************************************
 *
 * lucenegdbmsource.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *********************************************************************/


#ifndef LUCENEGDBMSOURCE_H
#define LUCENEGDBMSOURCE_H

#include "gsdlconf.h"
#include "text_t.h"
#include "comtypes.h"
#include "infodbclass.h"
#include "maptools.h"
#include "search.h"
#include "gdbmsource.h"


class lucenegdbmsourceclass : public gdbmsourceclass {
public:
  lucenegdbmsourceclass ();
  virtual ~lucenegdbmsourceclass ();

  bool get_document (const text_t &OID, text_t &doc, 
		     comerror_t &err, ostream &logout);

};



#endif
